export interface PartnerDetails {
    partnerId: string;
    partnerName: string;
    partnerWebsite?: string;
    partnerLogoUrl?: string;

    style?: {
        backgroundColor?: string;
        footer?: {
            backgroundColor?: string;
            color?: string;
        };
    };
}

/**
 * Get partner details based on the partner ID, returns undefined if the partner ID is not recognized.
 *
 * @param partnerId
 * @returns
 */
export function getPartnerDetails(partnerId?: string): PartnerDetails | undefined {
    switch (partnerId) {
        case "td":
        case "the-designery":
            return {
                partnerId: "td",
                partnerName: "The Designery",
                partnerLogoUrl: "/partner/the-designery.png",
            };
        case "sfl":
        case "surefire-local":
            return {
                partnerId: "sfl",
                partnerName: "Surefire Local",
                partnerWebsite: "https://www.surefirelocal.com/",
                partnerLogoUrl: "/partner/surefire-local.svg",
                // Custom styling for footer, to better match the partner's branding, specifically the partner logo
                style: {
                    footer: {
                        backgroundColor: "#fdfdfd",
                        color: "#000000",
                    },
                },
            };
        case "cg":
        case "ca":
        case "cost-guide":
        case "contractor-appointments":
            return {
                partnerId: "cg",
                partnerName: "Cost Guide",
                partnerWebsite: "https://www.costguide.com/",
                partnerLogoUrl: "/partner/cost-guide-logo.png",
                // Custom styling to create a seamless white design, matching the partner's branding
                style: {
                    backgroundColor: "#ffffff",
                    footer: {
                        backgroundColor: "#ffffff",
                        color: "rgb(170, 170, 170)",
                    },
                },
            };
        default:
            return undefined;
    }
}
